# Building

Building SteamWar.de software requires certain libraries,
which cannot be provided over traditional ways (like maven)
due to copyright issues with compiled Spigot packages.
For building these libraries have to be named in a lib
directory named like in the following list.
A subset of the following libraries is required to build this software
(this is the list for being able to build all SteamWar.de software):

    - BungeeCord.jar            https://ci.md-5.net/job/BungeeCord/
    - BungeeTabListPlus.jar     https://www.spigotmc.org/resources/bungeetablistplus.313/
    - PersistentBungeeCore.jar  https://steamwar.de/devlabs/SteamWar/PersistentBungeeCore
    - ProtocolLib.jar           https://www.spigotmc.org/resources/protocollib.1997/
    - Spigot-1.8.jar            https://hub.spigotmc.org/jenkins/job/BuildTools/ (1.8.9)
    - Spigot-1.9.jar            https://hub.spigotmc.org/jenkins/job/BuildTools/ (1.9.4)
    - Spigot-1.10.jar           https://hub.spigotmc.org/jenkins/job/BuildTools/ (1.10.2)
    - Spigot-1.12.jar           https://hub.spigotmc.org/jenkins/job/BuildTools/ (1.12.2)
    - Spigot-1.14.jar           https://hub.spigotmc.org/jenkins/job/BuildTools/ (1.14.4)
    - Spigot-1.15.jar           https://hub.spigotmc.org/jenkins/job/BuildTools/ (1.15.2)
    - SpigotCore.jar            https://steamwar.de/devlabs/SteamWar/SpigotCore
    - WorldEdit-1.12.jar        https://dev.bukkit.org/projects/worldedit/files (6.1.9)
    - WorldEdit-1.15.jar        https://dev.bukkit.org/projects/worldedit/files (newest)